Qt 5.11 | Qt 3D | C++ Classes | QFrontFace

Qt 5.11.3 Reference Documentation

# QFrontFace Class

(Qt3DRender::QFrontFace)

The QFrontFace class defines front and back facing polygons. More...

Header: | #include <QFrontFace>
qmake: | QT += 3drender
Since: | Qt 5.7
Instantiated By: | FrontFace
Inherits: | Qt3DRender::QRenderState

- List of all members, including inherited members

## Public Types

enum | WindingDirection { ClockWise, CounterClockWise }

## Properties

- direction : WindingDirection

- 3 properties inherited from Qt3DCore::QNode

## Public Functions

| QFrontFace(Qt3DCore::QNode *parent = nullptr)
Qt3DRender::QFrontFace::WindingDirection | direction() const

- 13 public functions inherited from Qt3DCore::QNode

## Public Slots

void | setDirection(Qt3DRender::QFrontFace::WindingDirection direction)

- 3 public slots inherited from Qt3DCore::QNode

## Signals

void | directionChanged(Qt3DRender::QFrontFace::WindingDirection direction)

- 4 signals inherited from Qt3DCore::QNode

### Additional Inherited Members

- 2 protected functions inherited from Qt3DCore::QNode

## Detailed Description

The QFrontFace class defines front and back facing polygons.

A Qt3DRender::QFrontFace sets the winding direction of the front facing polygons.

See also QCullFace.

## Member Type Documentation

### enum QFrontFace::WindingDirection

This enumeration specifies the winding direction values.

Constant | Value | Description
--- | --- | ---
`Qt3DRender::QFrontFace::ClockWise` | `0x0900` | Clockwise polygons are front facing.
`Qt3DRender::QFrontFace::CounterClockWise` | `0x0901` | Counter clockwise polygons are front facing.

## Property Documentation

### direction : WindingDirection

Holds the winding direction of the front facing polygons. Default is Clockwise.

Access functions:

Qt3DRender::QFrontFace::WindingDirection | direction() const
void | setDirection(Qt3DRender::QFrontFace::WindingDirection direction)

Notifier signal:

void | directionChanged(Qt3DRender::QFrontFace::WindingDirection direction)

## Member Function Documentation

### QFrontFace::QFrontFace(Qt3DCore::QNode *parent = nullptr)

The constructor creates a new QFrontFace::QFrontFace instance with the specified parent